{
  "databaseChangeLog": [
    {
      "changeSet": {
        "id": "Add ability_target_filter table",
        "author": "anibus",
        "changes": [
          {
            "createTable": {
              "tableName": "ability_target_filter",
              "columns": [
                {
                  "column": {
                    "name": "ability_id",
                    "type": "int",
                    "constraints": {
                      "primaryKey": true,
                      "nullable": false
                    }
                  }
                },
                {
                  "column": {
                    "name": "armor_type_id",
                    "type": "varchar(50)",
                    "constraints": {
                      "primaryKey": true,
                      "nullable": false
                    }
                  }
                },{
                  "addForeignKeyConstraint":
                  {
                    "constraintName":  "fk_ability_ability_target_filter",
                    "baseColumnNames":  "ability_id",
                    "baseTableName":  "ability_target_filter",
                    "referencedColumnNames":  "id",
                    "referencedTableName":  "abilities",
                    "onDelete": "CASCADE"
                  }
                },{
                  "addForeignKeyConstraint":
                  {
                    "constraintName":  "fk_armor_type_ability_target_filter",
                    "baseColumnNames":  "armor_type_id",
                    "baseTableName":  "ability_target_filter",
                    "referencedColumnNames":  "id",
                    "referencedTableName":  "armor_types"
                  }
                }
              ]
            }
          }
        ]
      }
    }
  ]
}
